{
    systemd.sleep.settings.Sleep = {
        # AllowSuspend = "no";
        AllowHybridSleep = "no";
        AllowSuspendThenHibernate = "no";
        HibernationMode = "shutdown";
    };

    boot.kernelParams = [
        "vm.swappiness=30"
        "hibernate.compressor=lz4"
    ];
}